Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class ValueReadQuery

`java.lang.Object
oracle.toplink.queryframework.DatabaseQuery
oracle.toplink.queryframework.ReadQuery
oracle.toplink.queryframework.DataReadQuery
oracle.toplink.queryframework.DirectReadQuery
oracle.toplink.queryframework.ValueReadQuery`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ValueReadQuery
extends DirectReadQuery

Purpose: Concrete class to perform a read of a single data value.

Responsibilities: Used in conjunction with CursoredStream size and Platform getSequence. This can be used to read a single data value (i.e. one field). A single data value is returned, or null if no rows are returned.

Since:
  TOPLink/Java 1.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.queryframework.DatabaseQuery
`CascadeAggregateDelete, CascadeAllParts, CascadeByMapping, CascadeDependentParts, CascadePrivateParts, NoCascading`

Constructor Summary
`ValueReadQuery()` PUBLIC: Initialize the state of the query.
`ValueReadQuery(Call call)` PUBLIC: Initialize the query to use the specified call.
`ValueReadQuery(java.lang.String sqlString)` PUBLIC: Initialize the query to use the specified SQL string.

Methods inherited from class oracle.toplink.queryframework.DirectReadQuery
`getValueConverter, setValueConverter`

Methods inherited from class oracle.toplink.queryframework.DataReadQuery
`getContainerPolicy, isDataReadQuery, setContainerPolicy, useCollectionClass, useCursoredStream, useCursoredStream, useCursoredStream, useScrollableCursor, useScrollableCursor, useScrollableCursor`

Methods inherited from class oracle.toplink.queryframework.ReadQuery
`cacheQueryResults, clearQueryResults, clearQueryResults, doNotCacheQueryResults, getFetchSize, getFirstResult, getMaxRows, getQueryResultsCachePolicy, isReadQuery, setFetchSize, setFirstResult, setMaxRows, setQueryResultsCachePolicy, setShouldCacheQueryResults, shouldCacheQueryResults`

Methods inherited from class oracle.toplink.queryframework.DatabaseQuery
`addArgument, addArgument, addArgument, addArgumentValue, addArgumentValues, addCall, addStatement, bindAllParameters, cacheStatement, cascadeAllParts, cascadeByMapping, cascadePrivateParts, dontBindAllParameters, dontCacheStatement, dontCascadeParts, dontMaintainCache, getCall, getCalls, getDatasourceCall, getDatasourceCalls, getEJBQLString, getHintString, getName, getQueryTimeout, getRedirector, getReferenceClass, getSelectionCriteria, getSessionName, getSQLStatement, getSQLString, getSQLStrings, getTranslatedSQLString, getTranslatedSQLStrings, hasSessionName, ignoreBindAllParameters, ignoreCacheStatement, isCallQuery, isDataModifyQuery, isDeleteObjectQuery, isExpressionQuery, isInsertObjectQuery, isModifyQuery, isObjectLevelModifyQuery, isObjectLevelReadQuery, isReadAllQuery, isReadObjectQuery, isReportQuery, isSQLCallQuery, isUpdateAllQuery, isUpdateObjectQuery, isWriteObjectQuery, maintainCache, prepareCall, setCall, setDatasourceCall, setEJBQLString, setHintString, setName, setQueryTimeout, setRedirector, setSelectionCriteria, setSessionName, setShouldBindAllParameters, setShouldCacheStatement, setShouldMaintainCache, setShouldPrepare, setShouldUseWrapperPolicy, setSQLStatement, setSQLString, shouldBindAllParameters, shouldCacheStatement, shouldCascadeAllParts, shouldCascadeByMapping, shouldCascadeParts, shouldCascadePrivateParts, shouldIgnoreBindAllParameters, shouldIgnoreCacheStatement, shouldMaintainCache, shouldPrepare, shouldUseWrapperPolicy, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueReadQuery

    public ValueReadQuery()

  PUBLIC: Initialize the state of the query.

### ValueReadQuery

    public ValueReadQuery(java.lang.String sqlString)

  PUBLIC: Initialize the query to use the specified SQL string. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

### ValueReadQuery

    public ValueReadQuery(Call call)

  PUBLIC: Initialize the query to use the specified call.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD